<?php
/**
* @author moufer<moufer@163.com>
* @copyright www.modoer.com
* @version $Id 3 2008-08-25 18:35 $
*/
!defined('IN_MUDDER') && exit('Access Denied');

if(!check_submit('mysubmit')) {

    $spaceinfo = $db->get_one("SELECT space_styleid,spacename,spacedescribe FROM {$dbpre}spaces WHERE uid={$user->uid}");
    empty($spaceinfo) && redirect('空间不存在。');

} else {

    $space_styleid = isset($space_styleid) && is_numeric($space_styleid) ? $space_styleid : 0;
    $spacename = html_special_chars_ex($spacename);
    $spacedescribe = html_special_chars_ex($spacedescribe);

    if(!$spacename) {
        redirect('未填写空间名称，请返回修改。');
    } elseif(strlen($spacename) > 100) {
        redirect('空间名称不能大于100个字符，请返回修改。');
    } elseif(!$spacedescribe) {
        redirect('未填写空间描述，请返回修改。');
    } elseif(strlen($spacedescribe) > 200) {
        redirect('空间描述不能大于200个字符，请返回修改。');
    } elseif($space_styleid==""||$space_styleid<0) {
        redirect('未选择空间风格模板，请返回重新选择。');
    } elseif($space_styleid>0 && !array_key_exists($space_styleid, $_templates['space'])) {
        redirect('空间风格不错在，请返回重新选择。');
    } else {
        $db->update("UPDATE {$dbpre}spaces SET space_styleid='$space_styleid',spacename='$spacename',spacedescribe='$spacedescribe' WHERE uid='{$user->uid}'");
        redirect("个人空间更新完毕。","index.php?ac=$ac");
    }

}
?>